aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.cirrus.yml1
-rwxr-xr-x.cirrus/archcheck.sh6
2 files changed, 7 insertions, 0 deletions
diff --git a/.cirrus.yml b/.cirrus.yml
index d947b559..a493b04f 100644
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -14,3 +14,4 @@ task:
smoketest_generic_script: export NEXTPNR=$(pwd)/build/nextpnr-generic && cd generic/examples && ./simple.sh && ./simtest.sh
regressiontest_ice40_script: make -j $(nproc) -C tests/ice40/regressions NPNR=$(pwd)/build/nextpnr-ice40
regressiontest_ecp5_script: make -j $(nproc) -C tests/ecp5/regressions NPNR=$(pwd)/build/nextpnr-ecp5
+ archcheck_script: BUILD_DIR=$(pwd)/build ./.cirrus/archcheck.sh
diff --git a/.cirrus/archcheck.sh b/.cirrus/archcheck.sh
new file mode 100755
index 00000000..fde19216
--- /dev/null
+++ b/.cirrus/archcheck.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+set -ex
+echo "Running archcheck!"
+${BUILD_DIR}/nextpnr-ice40 --hx8k --package ct256 --test
+${BUILD_DIR}/nextpnr-ice40 --up5k --package sg48 --test
+${BUILD_DIR}/nextpnr-ecp5 --um5g-25k --package CABGA381 --test